Get All Shop Disputes
Get all disputes for such client. This endpoint returns a list of disputes that the customers
submitted on products owned by a client.
This endpoint supports filtering out results based on dispute status and also all disputes
for a specific time period.
Path
GET /disputes Request Parameters
sortBy
string
Enum:
CreatedAt
StatusId
ReasonCodeId
TicketNumber
Deadline
UpdatedByConsumerOrRivertyAt
AgentAssignee
DisputeAmount
(optional) sort results by a property. By default, CreatedAt.
sortMethod
string
Enum:
Desc
Asc
(optional) select the sorting method to be asc or desc. By default, desc.
query
string
(optional) query is a key to search for a dispute by invoice number or ticket number.
startDate
string <date-time>
(optional) startDate is the earliest creation time of the dispute to be considered.
endDate
string <date-time>
(optional) endDate is the latest creation time of the dispute to be considered.
pageSize
integer <int32> default: 20
(optional) number of items per page. Default is 20.
pageNumber
integer <int32> default: 1
(optional) jump to a page. Default is 1
showInMerchantUi
boolean
(optional) filter by whether disputes are hidden in the merchant UI. Null returns all disputes.
Responses
-
arrayThe page of results the query returned.idstringThe unique identifier of the dispute in uuid format. This value is used for all API operations on the dispute.objectThe reason a customer has disputed an invoice.shortCodestringThe short code, e.g. R1, R2, etc.objectThe invoice being disputed by the customer.invoiceNumberstringThe identifier for the invoice.objectThe merchant that has sold the product or service to the customer.shopIdstringThe string identifier of the shop exposed to merchantsticketNumberstringThe human-friendly ticket number for the dispute, e.g. D-0000-0001.arrayFiles that the customer or merchant have associated directly with the dispute as evidence.idstringThe unique identifier of the attachment.fileNamestringThe name for the attachment that has been generated for internal use.originalFileNamestringThe name that the attachment was originally uploaded with.thumbnailUrlstringIf a thumbnail has been created, this will be the URL to it with a time-limited access token.createdAtstringyyyy-MM-ddTHH:mm:ss.fffffffzzzWhen it was created.sizeintegerThe number of bytes.mimeTypestringThe type of file content, e.g. image/jpeg.originalFileUrlstringThe direct link to download the file.malwareDetectedbooleanUnpopulated if the attachment has not been scanned yet. True if malware was detected, false if not.createdAtstringyyyy-MM-ddTHH:mm:ss.fffffffzzzThe time the dispute was created.objectThe lifecycle stage of a dispute.idintegerOne of the 7 possible dispute stages.objectRepresents a decision made by Riverty at one of the decision stages.namestringThe outcome of the dispute, e.g. Write-offdescriptionstringHuman-readable description of the customer's issue with the invoice.showInMerchantUibooleanWhether this dispute is hidden in the merchant UIobjecttotalintegerThe count of all items that would be returned if no pagination was applied.pageSizeintegerThe number of items to return in each page of results.
-
Request Example
{
"query": "D-0001-4112",
"sortBy": "TicketNumber",
"endDate": "2025-06-01",
"pageSize": 20,
"startDate": "2025-05-01",
"pageNumber": 1,
"sortMethod": "Asc",
"showInMerchantUi": true
}
Response Example
{
"paging": {
"total": 1,
"pageSize": 20
},
"results": [
{
"id": "50fc9c37-cbcb-49f5-d72b-08dd939e9062",
"stage": {
"id": 6
},
"invoice": {
"client": {
"shopId": "AFS000003926"
},
"invoiceNumber": "802693330"
},
"decision": {
"name": "Write-off"
},
"createdAt": "2025-05-15T10:52:19.2984008Z",
"reasonCode": {
"shortCode": "R1"
},
"attachments": [
{
"id": "d3cd4950-9541-4867-063f-08ddb25bc8cc",
"size": 1784046,
"mimeType": "image/jpeg",
"createdAt": "2025-06-24T08:17:00Z",
"originalFileName": "Group_of_cats.jpg"
}
],
"ticketNumber": "D-0001-4112",
"showInMerchantUi": true
}
]
}